TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: TopoWAR on November 02, 2011, 01:27:39 PM

Title: Xrecord question
Post by: TopoWAR on November 02, 2011, 01:27:39 PM
hello friends.
can be accessed from a dwg to information in another drawing from Xrecord lisp?
thanks!
Title: Re: Xrecord question
Post by: CAB on November 02, 2011, 02:55:30 PM
If I understand your question, Yes with ObjectDBX
Title: Re: Xrecord question
Post by: TopoWAR on November 02, 2011, 02:59:55 PM
The following code is the beginning, but do not know how to proceed, somebody help? thanks

Code: [Select]
(setq
    odbx (if (< (setq vers (substr (getvar "acadver") 1 2)) "16")
      (vla-GetInterfaceObject
        (vlax-get-acad-object)
        "ObjectDBX.AxDbDocument"
      )
      (vla-GetInterfaceObject
        (vlax-get-acad-object)
        (strcat "ObjectDBX.AxDbDocument." vers)
      )
    )
    list_dicc (list)
  )
  (vla-open odbx "c:\\drawing.dwg")
  (setq dicc (vlax-get odbx 'dictionaries))
Title: Re: Xrecord question
Post by: TopoWAR on November 02, 2011, 06:27:35 PM
s.o.s. help :-(
Title: Re: Xrecord question
Post by: CAB on November 02, 2011, 07:52:37 PM
I may have some time tomorrow but here is some reading & subroutines.
-----------  Ldata - xData -------------
http://www.theswamp.org/index.php?topic=30445.0 Quick XData Functions by Lee Mac
http://www.theswamp.org/index.php?topic=31804.0
http://www.theswamp.org/index.php?topic=5003.0  MP - dictionaries and xRecords
http://www.theswamp.org/index.php?topic=1283.0  Ldata vs xData
http://www.theswamp.org/index.php?topic=4395.0
http://www.theswamp.org/index.php?topic=8829.0 
http://www.theswamp.org/index.php?topic=29381.0
http://www.theswamp.org/index.php?topic=23294.msg281024#msg281024 Ldata
http://www.theswamp.org/index.php?topic=29564.0
http://www.theswamp.org/index.php?topic=18490.0  Ldata example

  Data Structures
http://www.theswamp.org/index.php?topic=37660.msg427038#msg427038 LeeMac


------   ObjectDBX  ----------
http://www.theswamp.org/index.php?topic=29933.msg354958#msg354958 ]Loop Drawings & execute a lisp
http://www.theswamp.org/forum/index.php?topic=7335.msg91135#msg91135]Re: Change the same details of a number of drawing titleblocks
http://www.theswamp.org/forum/index.php?topic=6307.0]DBX Testing 
http://www.theswamp.org/forum/index.php?topic=7498.0]run a lisp in dwgs WITHOUT opening the dwgs? 
http://www.theswamp.org/forum/index.php?topic=3650.0]Jeff_M or anyone familiar with ObjectDBX
http://www.theswamp.org/forum/index.php?topic=2671.0]Find Text in a Closed Drawing
http://www.theswamp.org/forum/index.php?topic=1821.0]Block Adding
http://www.theswamp.org/index.php?topic=22932.msg275882#msg275882]Copy various collections
http://www.theswamp.org/index.php?topic=22932.msg275940#msg275940]Copy a Layout
http://www.theswamp.org/index.php?topic=29933.0   MapDbxDocs  by Tim Willey
http://www.theswamp.org/index.php?topic=31827.0  by Lee Mac
http://www.theswamp.org/index.php?topic=23805.msg288265#msg288265  Import Layers

--------------  Find / Replae Text  ----------------------
http://www.theswamp.org/index.php?topic=4591.msg272347#msg272347
http://www.theswamp.org/forum/index.php?topic=2671.0]Find Text in a Closed Drawing